Getnet DocsGetnet Docs

Update Payment Data

PATCH/rpy/be-subscription/v1/subscriptions/{subscription_id}/paymentType/credit/card

__Update Subscription Payment Data__<br> <br>This endpoint allows merchants to update the payment method of an existing subscription, specifically switching to a new or updated credit card.<br> <br>**Usage Scenarios:**<br>_- Updating the credit card for an active subscription.<br>- Replacing an expired or invalid card.<br>- Switching to a different card brand or issuer for billing._<br> <br>**Notes:**<br>_- The new card information must be tokenized and provided securely.<br>- This update applies to all future billing cycles of the subscription.<br>- Ensure that the subscription is active before using this operation._

Header Parameters

usernamestring

User who is registering. This information can be used for audit purposes.

Path Parameters

subscription_idstringrequired

Recurrence signature identifier.

Body application/json

number_tokenstringrequired

Tokenized card number.

cardholder_namestring

Buyer's name printed on card. Required if card details were not permanently stored with the token.

brand"Mastercard" | "Visa" | "Amex" | "Elo" | "Hipercard"

Flag. (Also used in anti-fraud). Required if card details were not permanently stored with the token.

expiration_monthstring

Two-digit card expiry month. Required if card details were not permanently stored with the token.

expiration_yearstring

Two-digit card expiry year. Required if card details were not permanently stored with the token.

binstring

First six numbers of the card.

walletobject
Show wallet properties
typestringrequired
idstringrequired
tokenizationobject
Show tokenization properties
type"UCAF" | "TAVV" | "ELO"required
cryptogramstring
ecistring
requestor_idstring

Response

Data updated successfully.

seller_idstring<uuid>
order_idstring
installment_start_datestring<date>
create_datestring<date-time>
end_datestring<date-time>
payment_dateinteger<int32>
next_scheduled_datestring<date-time>
subscriptionobject
Show subscription properties
subscription_idstring<uuid>
payment_typeobject
Show payment_type properties
creditobject
Show credit properties
number_installmentsinteger<int32>
billing_addressany

Set of data referring to the buyer's address

soft_descriptorstring
transaction_type"FULL" | "INSTALL_WITH_INTEREST" | "INSTALL_NO_INTEREST"
tokenizationobject
Show tokenization properties
type"UCAF" | "TAVV" | "ELO"
cryptogramstring
ecistring
requestor_idstring
cardobject
Show card properties
brand"Mastercard" | "Visa" | "Amex" | "Elo" | "Hipercard" | "Maestro"
binstring
expiration_monthstring
expiration_yearstring
cardholder_namestring
card_idstring
walletobject
Show wallet properties
typestring
idstring
debitobject
Show debit properties
seller_idstring<uuid>
order_idstring
payment_idstring<uuid>
amountinteger<int32>
currencystring
status"pending" | "canceled" | "approved" | "denied" | "authorized" | "confirmed" | "expired" | "unprocessed"
payment_received_timestampstring<date-time>
creditobject
Show credit properties
delayedboolean
authorization_codestring
authorization_timestampstring<date-time>
reason_codestring
reason_messagestring
acquirerstring
soft_descriptorstring
brand"Mastercard" | "Visa" | "Amex" | "Elo" | "Hipercard" | "Maestro"
terminal_nsustring
acquirer_transaction_idstring
transaction_idstring
debitobject
Show debit properties
delayedboolean
authorization_codestring
authorization_timestampstring<date-time>
reason_codestring
reason_messagestring
acquirerstring
soft_descriptorstring
brand"Mastercard" | "Visa" | "Amex" | "Elo" | "Hipercard" | "Maestro"
terminal_nsustring
acquirer_transaction_idstring
transaction_idstring
errorobject
Show error properties
status_codeinteger<int32>
namestring
messagestring
detailsobject[]
Show details properties
acquirer_transaction_idstring
descriptionstring
description_detailstring
error_codestring
payment_idstring
statusstring
terminal_nsustring
shippingsobject[]
Show shippings properties
first_namestring
last_namestring
emailstring
phone_numberstring
shipping_amountinteger<int32>
addressany

Set of data referring to the buyer's address

customerobject
Show customer properties
customer_idstring
first_namestring
last_namestring
document_type"CPF" | "CNPJ" | "PASSPORT_BR" | "DNI_AR" | "CUIL" | "CUIT" | "PASSPORT_AR" | "RUT" | "CI_CL"
document_type_namestring
document_numberstring
document_countrystring
phone_numberstring
celphone_numberstring
emailstring
status"active" | "inactive"
planobject
Show plan properties
seller_idstring<uuidv4>

E-commerce identification code.

plan_idstring<uuidv4>

Plan identifier.

namestring

Plan name.

descriptionstring

Description of the plan.

amountinteger

Plan value.

currencystring

Currency identification (See code in <a href="https://docs.globalgetnet.com/es/articles/currency-codes">this</a> section).

payment_types"credit_card" | "debit_card"

Types of payments accepted.

sales_taxinteger

Tax value.

product_type"cash_carry" | "digital_content" | "digital_goods" | "gift_card" | "physical_goods" | "renew_subs" | "shareware" | "service"

Identifier of the type of product sold among the options.

create_datestring<YYYY-MM-DDTHH:MM:SSZ>

Plan creation date.

status"active" | "inactive"

Plan status.

periodobject

Plan period.

Show period properties
type"yearly" | "monthly" | "bimonthly" | "quarterly" | "semesterly" | "specific"

Type of periodicity.

billing_cycleinteger

Plan duration based on frequency type. For example, for a 12-month plan, where billing will be done monthly (type = monthly) the value to be assigned is 12.

specific_cycle_in_daysnumber

Specific billing cycle in days. When the type of periodicity is specific (type = specific) the number of days must be assigned in which the billing cycle will be carried out. For example, if the durationthe one in the plan is 12 (billing_cycle = 12) and the specific cycle is 10 (specific_cycle_in_days = 10), This means that the charge will occur every 10 days in total of 12 charges.

floating_dataobject[]

Preconfigured list of installments that will have a different value when the Subscription is created. This functionality can be used to create tasting installments with zero value, one input value or discounted installments. The use of this functionality and its purpose expected will depend on the enablement of a specific product at Getnet.

Show floating_data properties
installmentinteger<int32>

Number of the installment to which the change will be applied.

amountinteger

New charge amount for a given portion of the plan. When a Subscription is created with this Plan it will have this characterstatic, for example for installment 2 apply the amount of R$ 10.00. That value can be zero, greater or less than the original value of the Plan.

deviceobject
Show device properties
ip_addressstring
device_idstring
floating_dataobject[]
Show floating_data properties
installmentinteger<int32>

Number of the installment to which the change will be applied.

new_amountinteger

New charge amount.

new_scheduled_datestring<YYYY-MM-DD>

New billing date

original_scheduled_datestring<YYYY-MM-DD>

Date the billing was originally scheduled, before it was changed, according to the plan associated with the subscription.

original_amountinteger

Original billing amount, before it was changed, according to the plan associated with the subscription.

status"processing" | "success" | "expired" | "canceled" | "delayed" | "failed" | "suspended" | "created"
status_detailsstring
paymentobject
Show payment properties
seller_idstring<uuid>
order_idstring
payment_idstring<uuid>
amountinteger<int32>
currencystring
status"pending" | "canceled" | "approved" | "denied" | "authorized" | "confirmed" | "expired" | "unprocessed"
payment_received_timestampstring<date-time>
creditobject
Show credit properties
delayedboolean
authorization_codestring
authorization_timestampstring<date-time>
reason_codestring
reason_messagestring
acquirerstring
soft_descriptorstring
brand"Mastercard" | "Visa" | "Amex" | "Elo" | "Hipercard" | "Maestro"
terminal_nsustring
acquirer_transaction_idstring
transaction_idstring
debitobject
Show debit properties
delayedboolean
authorization_codestring
authorization_timestampstring<date-time>
reason_codestring
reason_messagestring
acquirerstring
soft_descriptorstring
brand"Mastercard" | "Visa" | "Amex" | "Elo" | "Hipercard" | "Maestro"
terminal_nsustring
acquirer_transaction_idstring
transaction_idstring
errorobject
Show error properties
status_codeinteger<int32>
namestring
messagestring
detailsobject[]
Show details properties
acquirer_transaction_idstring
descriptionstring
description_detailstring
error_codestring
payment_idstring
statusstring
terminal_nsustring

Invalid Requisition

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

paymentsobject[]

Error details.

Show payments properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

combined_idstring

combinedId.

order_idstring

orderId.

seller_idstring

sellerId.

Signature not found.

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

paymentsobject[]

Error details.

Show payments properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

combined_idstring

combinedId.

order_idstring

orderId.

seller_idstring

sellerId.

Unprocessable Entity

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

paymentsobject[]

Error details.

Show payments properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

combined_idstring

combinedId.

order_idstring

orderId.

seller_idstring

sellerId.

Internal server or service error

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

paymentsobject[]

Error details.

Show payments properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

brandstring

Brand.

payment_idstring

payment_id.

seller_idstring

seller_id.

amountstring

amount.

currencystring

currency.

order_idstring

order_id.

credit_cancelobject

credit_cancel.

Show credit_cancel properties
canceled_atstring

canceledAt.

messagestring

message.

payment_tagstring

payment_tag.

status_codestring

statusCode.

messagestring

message.

namestring

name.

acquirer_transaction_idstring

acquirer_transaction_id.

authorization_codestring

authorization_code.

transaction_idstring

transaction_id.

reason_codestring

reason_code.

reason_messagestring

reason_message.

merchant_advice_codestring

merchant_advice_code.

combined_idstring

combinedId.

order_idstring

orderId.

seller_idstring

sellerId.

Request
curl -X PATCH "https://api.pre.globalgetnet.com/rpy/be-subscription/v1/subscriptions/<subscription_id>/paymentType/credit/card" \
  -H "Content-Type: application/json" \
  -H "username: <username>" \
  -d '{
  "number_token": "dfe05208b105578c070f806c80abd3af09e246827d29b866cf4ce16c205849977c9496cbf0d0234f42339937f327747075f68763537b90b31389e01231d4d13c",
  "cardholder_name": "JOAO DA SILVA",
  "brand": "Mastercard",
  "expiration_month": "12",
  "expiration_year": "28",
  "bin": "123412",
  "wallet": {
    "type": "string",
    "id": "string"
  },
  "tokenization": {
    "type": "UCAF",
    "cryptogram": "string",
    "eci": "string",
    "requestor_id": "string"
  }
}'
Response
{
  "seller_id": "00000000-0000-0000-0000-000000000000",
  "order_id": "string",
  "installment_start_date": "2024-01-01",
  "create_date": "1970-01-01T00:00:00.000Z",
  "end_date": "1970-01-01T00:00:00.000Z",
  "payment_date": 0,
  "next_scheduled_date": "1970-01-01T00:00:00.000Z",
  "subscription": {
    "subscription_id": "00000000-0000-0000-0000-000000000000",
    "payment_type": {
      "credit": {
        "number_installments": 0,
        "billing_address": {
          "street": "Av. Brazil",
          "number": "1000",
          "complement": "Sala 1",
          "district": "Sao Geraldo",
          "city": "Porto Alegre",
          "state": "RS",
          "country": "Brazil",
          "postal_code": "90230060"
        },
        "soft_descriptor": "string",
        "transaction_type": "FULL",
        "tokenization": {
          "type": "UCAF",
          "cryptogram": "string",
          "eci": "string",
          "requestor_id": "string"
        },
        "card": {
          "brand": "Mastercard",
          "bin": "string",
          "expiration_month": "string",
          "expiration_year": "string",
          "cardholder_name": "string",
          "card_id": "string"
        },
        "wallet": {
          "type": "string",
          "id": "string"
        }
      },
      "debit": {
        "seller_id": "00000000-0000-0000-0000-000000000000",
        "order_id": "string",
        "payment_id": "00000000-0000-0000-0000-000000000000",
        "amount": 0,
        "currency": "string",
        "status": "pending",
        "payment_received_timestamp": "1970-01-01T00:00:00.000Z",
        "credit": {
          "delayed": true,
          "authorization_code": "string",
          "authorization_timestamp": "1970-01-01T00:00:00.000Z",
          "reason_code": "string",
          "reason_message": "string",
          "acquirer": "string",
          "soft_descriptor": "string",
          "brand": "Mastercard",
          "terminal_nsu": "string",
          "acquirer_transaction_id": "string",
          "transaction_id": "string"
        },
        "debit": {
          "delayed": true,
          "authorization_code": "string",
          "authorization_timestamp": "1970-01-01T00:00:00.000Z",
          "reason_code": "string",
          "reason_message": "string",
          "acquirer": "string",
          "soft_descriptor": "string",
          "brand": "Mastercard",
          "terminal_nsu": "string",
          "acquirer_transaction_id": "string",
          "transaction_id": "string"
        },
        "error": {
          "status_code": 0,
          "name": "string",
          "message": "string",
          "details": [
            {
              "acquirer_transaction_id": null,
              "description": null,
              "description_detail": null,
              "error_code": null,
              "payment_id": null,
              "status": null,
              "terminal_nsu": null
            }
          ]
        }
      }
    },
    "shippings": [
      {
        "first_name": "string",
        "last_name": "string",
        "email": "string",
        "phone_number": "string",
        "shipping_amount": 0,
        "address": {
          "street": "Av. Brazil",
          "number": "1000",
          "complement": "Sala 1",
          "district": "Sao Geraldo",
          "city": "Porto Alegre",
          "state": "RS",
          "country": "Brazil",
          "postal_code": "90230060"
        }
      }
    ]
  },
  "customer": {
    "customer_id": "string",
    "first_name": "string",
    "last_name": "string",
    "document_type": "CPF",
    "document_type_name": "string",
    "document_number": "string",
    "document_country": "string",
    "phone_number": "string",
    "celphone_number": "string",
    "email": "string",
    "status": "active"
  },
  "plan": {
    "seller_id": "6eb2412c-165a-41cd-b1d9-76c575d70a28",
    "plan_id": "51995e24-b1ae-4826-8e15-2a568a87abdd",
    "name": "Plano flex",
    "description": "Flex plan",
    "amount": 19990,
    "currency": "BRL",
    "payment_types": "",
    "sales_tax": 0,
    "product_type": "service",
    "create_date": "2017-04-19T16:30:30Z",
    "status": "active",
    "period": {
      "type": "monthly",
      "billing_cycle": 12,
      "specific_cycle_in_days": 0
    },
    "floating_data": [
      {
        "installment": 2,
        "amount": 19990
      }
    ]
  },
  "device": {
    "ip_address": "string",
    "device_id": "string"
  },
  "floating_data": [
    {
      "installment": 2,
      "new_amount": 19990,
      "new_scheduled_date": "2020-06-10",
      "original_scheduled_date": "2020-06-10",
      "original_amount": 19990
    }
  ],
  "status": "processing",
  "status_details": "string",
  "payment": {
    "seller_id": "00000000-0000-0000-0000-000000000000",
    "order_id": "string",
    "payment_id": "00000000-0000-0000-0000-000000000000",
    "amount": 0,
    "currency": "string",
    "status": "pending",
    "payment_received_timestamp": "1970-01-01T00:00:00.000Z",
    "credit": {
      "delayed": true,
      "authorization_code": "string",
      "authorization_timestamp": "1970-01-01T00:00:00.000Z",
      "reason_code": "string",
      "reason_message": "string",
      "acquirer": "string",
      "soft_descriptor": "string",
      "brand": "Mastercard",
      "terminal_nsu": "string",
      "acquirer_transaction_id": "string",
      "transaction_id": "string"
    },
    "debit": {
      "delayed": true,
      "authorization_code": "string",
      "authorization_timestamp": "1970-01-01T00:00:00.000Z",
      "reason_code": "string",
      "reason_message": "string",
      "acquirer": "string",
      "soft_descriptor": "string",
      "brand": "Mastercard",
      "terminal_nsu": "string",
      "acquirer_transaction_id": "string",
      "transaction_id": "string"
    },
    "error": {
      "status_code": 0,
      "name": "string",
      "message": "string",
      "details": [
        {
          "acquirer_transaction_id": "string",
          "description": "string",
          "description_detail": "string",
          "error_code": "string",
          "payment_id": "string",
          "status": "string",
          "terminal_nsu": "string"
        }
      ]
    }
  }
}